Represents a tool which can be included in the account lists.

package | lists
author | Roland Gruber

### Methods

## Constructor

    __construct(String $name, String $image, String $target) : \lamListTool

### Parameters

#### $name

`String`

tool name

#### $image

`String`

image file

#### $target

`String`

target page

### Returns

`\lamListTool`tool object

## Returns the name of the tool image.

    getImage() : String

The image is returned without path (e.g. mytool.png). All images must reside in the graphics folder.

### Returns

`String`image name

## Returns the PHP file (relative to 'templates/lists') which will be the target for this tool.

    getLinkTarget() : String

The target page will be opened with two GET parameters: DN and type (e.g. user)

### Returns

`String`page file (e.g. 'mytool.php')

## Returns the tool name.

    getName() : String

This is used for the tool tip.

### Returns

`String`name

### Properties

## tool image

    $image

## tool name

    $name

## link target

    $target